Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::Codec Class Reference

`#include <IOP_CodecC.h>`

Inheritance diagram for IOP::Codec:

[legend]
Collaboration diagram for IOP::Codec:

[legend]
List of all members.

## Public Types
typedef Codec_ptr | _ptr_type
typedef Codec_var | _var_type
## Public Methods
virtual::CORBA::OctetSeq * | encode (const CORBA::Any &data ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IOP::Codec::InvalidTypeForEncoding )
virtual CORBA::Any * | decode (const CORBA::OctetSeq &data ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IOP::Codec::FormatMismatch )
virtual::CORBA::OctetSeq * | encode_value (const CORBA::Any &data ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IOP::Codec::InvalidTypeForEncoding )
virtual CORBA::Any * | decode_value (const CORBA::OctetSeq &data, CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IOP::Codec::FormatMismatch , IOP::Codec::TypeMismatch )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Methods
Codec_ptr | _duplicate (Codec_ptr obj)
Codec_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates.
Codec_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Codec_ptr | _nil (void)
| Return a NULL object.
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any.
## Public Attributes
static::CORBA::TypeCode_ptr | _tc_InvalidTypeForEncoding
static::CORBA::TypeCode_ptr | _tc_FormatMismatch
static::CORBA::TypeCode_ptr | _tc_TypeMismatch
## Protected Methods
| Codec (void)
virtual | ~Codec (void)
## Private Methods
| Codec (const Codec &)
void | operator= (const Codec &)

## Member Typedef Documentation

typedef Codec_ptr IOP::Codec::_ptr_type

| Reimplemented from CORBA::Object.

typedef Codec_var IOP::Codec::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

IOP::Codec::Codec | ( | void |  | ) | `[protected]`

IOP::Codec::~Codec | ( | void |  | ) | `[protected, virtual]`

IOP::Codec::Codec | ( | const Codec & |  | ) | `[private]`

## Member Function Documentation

IOP::Codec_ptr IOP::Codec::_duplicate | ( | Codec_ptr | obj | ) | `[static]`

const char * IOP::Codec::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA::Object.

virtual CORBA::Boolean IOP::Codec::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

Codec_ptr IOP::Codec::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented from CORBA::Object.

Codec_ptr IOP::Codec::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA::Object.

void IOP::Codec::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA::Object.

Codec_ptr IOP::Codec::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

virtual CORBA::Any* IOP::Codec::decode | ( | const CORBA::OctetSeq &data | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , IOP::Codec::FormatMismatch )`[pure virtual]`

| Implemented in TAO_CDR_Encaps_Codec.

virtual CORBA::Any* IOP::Codec::decode_value | ( | const CORBA::OctetSeq & | data,
|  | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , IOP::Codec::FormatMismatch , IOP::Codec::TypeMismatch )`[pure virtual]`

| Implemented in TAO_CDR_Encaps_Codec.

virtual ::CORBA::OctetSeq* IOP::Codec::encode | ( | const CORBA::Any &data | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , IOP::Codec::InvalidTypeForEncoding )`[pure virtual]`

| Implemented in TAO_CDR_Encaps_Codec.

virtual ::CORBA::OctetSeq* IOP::Codec::encode_value | ( | const CORBA::Any &data | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , IOP::Codec::InvalidTypeForEncoding )`[pure virtual]`

| Implemented in TAO_CDR_Encaps_Codec.

CORBA::Boolean IOP::Codec::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Reimplemented from CORBA::Object.

void IOP::Codec::operator= | ( | const Codec & |  | ) | `[private]`

## Member Data Documentation

CORBA::TypeCode_ptr IOP::Codec::_tc_FormatMismatch

| Initial value:
      &_tc_TAO_tc_IOP_Codec_FormatMismatch

CORBA::TypeCode_ptr IOP::Codec::_tc_InvalidTypeForEncoding

| Initial value:
      &_tc_TAO_tc_IOP_Codec_InvalidTypeForEncoding

CORBA::TypeCode_ptr IOP::Codec::_tc_TypeMismatch

| Initial value:
      &_tc_TAO_tc_IOP_Codec_TypeMismatch

The documentation for this class was generated from the following files:

- IOP_CodecC.h
- IOP_CodecC.cpp